I suppose that version 8 doesn't works with the old C++ Builder 6.0 (I can't change this, for now), so I have no choice.

Thanks for the very fast answer!

Stefano Gemma


Il 09/12/2017 19:41, Angus Robertson - Magenta Systems Ltd ha scritto:
I'm trying to post some data to some of my https web sites (for
sample https://www.millesimo.com/index.php) but I always get the
error "SSL handshake failed". My code works well with other sites
(https://www.microsoft.com/it-it, for sample).

ICS: r20 | francois | 2009-09-10 07:50:47 +0100 (Thu, 10 Sep 2009)
ssleay32.dll/libeay32.dll 0.9.8e
OpenSSL 0.9.8 has been obsolete for several years, likewise the version
of ICS you are using is ancient.

SSL protocols change with time, old ones are removed due to security
risks and newer ones added in newer versions.  Web sites likewise stop
supporting ancient risky protocols.

So you need to update to ICS v8, and at least OpenSSL 1.0.2, ideally
1.1.0 which is current.

Angus


--
To unsubscribe or change your settings for TWSocket mailing list
please goto http://lists.elists.org/cgi-bin/mailman/listinfo/twsocket
Visit our website at http://www.overbyte.be

Reply via email to